Subject: [Roll] last call for roll charter text.

From: peter van der Stok <[email-masked]>
Date: Fri, 16 Sep 2016 15:23:32 +0200

Dear all,

Below the text for the ROLL charter as discussed in Berlin and on the 
mailing list.
The last additions are the milestones based on the feedback of the past 
months.

Many thanks for all your contributions. The text is shorter and clearer 
in my opinion.

Please react to (approve) the text, and review the milestone dates when 
they concern your work.

End of call: Saturday October 1.

Many thanks,

Peter + Ines

____________________________________________________________________________________________________________________________________________________________________________

Charter for ROLL Working Group

Low power and Lossy Networks (LLNs ) are made up of many embedded 
devices with limited power, memory, and processing resources. They are 
interconnected by a variety of links, such as IEEE 802.15.4, Bluetooth, 
Low Power WiFi, wired or other low power PLC (Powerline Communication) 
links. LLNs are transitioning to an end-to-end IP-based solution to 
avoid the problem of non-interoperable networks interconnected by 
protocol translation gateways and proxies.

RFC7102 discusses ROLL specific aspects of LLNs, and RFC7228 provides 
additional terminology for constrained devices.

RFC 5548, 5673, 5826, and 5876 describe the requirements for LLNs from 
several application perspectives.
The Working Group has focused on routing solutions for the areas: 
connected home, building, and urban sensor networks. It has developed a 
Framework that takes into consideration various aspects including high 
reliability in the presence of time varying loss characteristics and 
connectivity while permitting low-power operation with very modest 
memory and CPU pressure in networks potentially comprising a very large 
number (several thousands) of nodes.

The Working Group continues to focus on routing issues for LLN and to 
maintain, improve and streamline the protocols developed by the working 
group, including RPL and MPL.

ROLL will coordinate closely with the working groups in other areas that 
focus on constrained networks and/or constrained nodes, such as 6lo 
(Int) and lwig (Int) and CoRE (App). The working groups PiM (rtg), BIER 
(rtg) and MANET (rtg) will be consulted when ROLL work can profit from 
their results. The Working group will align with the 6man (Int) WG when 
needed.

Work Items are:

- Guidance in using RFC6553, RFC6554, and IPv6-in-IPv6 encapsulation. 
The WGLC on this work will be shared with 6lo.

- Compression of  RFC6553, RFC6554, and IP headers in the 6LoWPAN 
adaptation layer context. (coordinated with 6lo WG).

- Additional protocol elements to reduce packet size and the amount of 
required routing states

- Automatic selection of MPL forwarders to reduce message replication. 
(coordinated with PiM wg)

- Data models for RPL and MPL management (coordinated with netmod and 
PiM wg)

- Alternative Multicast algorithm see for example Bier forwarding. 
(coordinated with PiM wg and relateds wg, e.g. BIER)

- Methods to improve or correct the current RPL behavior and the other 
protocols defined by the working group.

- Alternative Routing mechanism for constrained environments see for 
example AODV-RPL

Milestones

DATE                            Milestone
September 2018            Recharter WG or close
July 2018 	Initial submission of a solution for 
draft-jadhav-roll-no-path-dao-ps to IESG
November 2017 	Initial submission of draft-satish-roll-aodv-rpl to IESG
November 2017 	Initial submission of 
draft-gundogan-roll-dis-modifications to IESG
July 2017	 Initial submission of draft-bergmann-bier-ccast to IESG
July 2017         Initial submission of 
draft-vanderstok-roll-mpl-forw-select to IESG
March 2017 	Initial submission of draft-vanderstok-roll-mpl-yang to IESG
March 2017 	Initial submission of draft-thubert-roll-dao-projection to 
IESG
November 2016        	  Initial Submission of the draft about when to 
use RFC6553, RFC6554, and IPv6-in-IPv6 encapsulation 
Draft-ietf-roll-useofrplinfo to the IESG.
November 2016            IESG Evaluation of draft-roll-routing-dispatch.

-- 
Peter van der Stok
vanderstok consultancy
mailto: [email-masked]
www: www.vanderstok.org
tel NL: +31(0)492474673     F: +33(0)966015248

---

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Fri, 16 Sep 2016 14:56:40 +0000

Dear chairs:

I support this charter;

Pascal

-----Original Message-----
From: Roll [mailto:[email-masked]] On Behalf Of peter van der Stok
Sent: vendredi 16 septembre 2016 15:24
To: Roll <[email-masked]>; emarobl <[email-masked]>; Alvaro Retana (aretana) <[email-masked]>
Subject: [Roll] last call for roll charter text.

Dear all,

Below the text for the ROLL charter as discussed in Berlin and on the mailing list.
The last additions are the milestones based on the feedback of the past months.

Many thanks for all your contributions. The text is shorter and clearer in my opinion.

Please react to (approve) the text, and review the milestone dates when they concern your work.

Many thanks,

Peter + Ines

Low power and Lossy Networks (LLNs ) are made up of many embedded devices with limited power, memory, and processing resources. They are interconnected by a variety of links, such as IEEE 802.15.4, Bluetooth, Low Power WiFi, wired or other low power PLC (Powerline Communication) links. LLNs are transitioning to an end-to-end IP-based solution to avoid the problem of non-interoperable networks interconnected by protocol translation gateways and proxies.

RFC7102 discusses ROLL specific aspects of LLNs, and RFC7228 provides additional terminology for constrained devices.

RFC 5548, 5673, 5826, and 5876 describe the requirements for LLNs from several application perspectives.
The Working Group has focused on routing solutions for the areas: 
connected home, building, and urban sensor networks. It has developed a Framework that takes into consideration various aspects including high reliability in the presence of time varying loss characteristics and connectivity while permitting low-power operation with very modest memory and CPU pressure in networks potentially comprising a very large number (several thousands) of nodes.

The Working Group continues to focus on routing issues for LLN and to maintain, improve and streamline the protocols developed by the working group, including RPL and MPL.

ROLL will coordinate closely with the working groups in other areas that focus on constrained networks and/or constrained nodes, such as 6lo
(Int) and lwig (Int) and CoRE (App). The working groups PiM (rtg), BIER
(rtg) and MANET (rtg) will be consulted when ROLL work can profit from their results. The Working group will align with the 6man (Int) WG when needed.

Work Items are:

- Compression of  RFC6553, RFC6554, and IP headers in the 6LoWPAN adaptation layer context. (coordinated with 6lo WG).

- Additional protocol elements to reduce packet size and the amount of required routing states

- Data models for RPL and MPL management (coordinated with netmod and PiM wg)

- Methods to improve or correct the current RPL behavior and the other protocols defined by the working group.

- Alternative Routing mechanism for constrained environments see for example AODV-RPL

Milestones

DATE                            Milestone

_______________________________________________
Roll mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/roll

---

From: Mingui Zhang <[email-masked]>
Date: Sun, 18 Sep 2016 03:18:26 +0000

Hi, 

Yes, the text is clear and the milestones dates look fine. 
I support this charter as well.

Thanks
Mingui

> From: Roll [mailto:[email-masked]] On Behalf Of Pascal Thubert (pthubert)
> Sent: Friday, September 16, 2016 10:57 PM
> To: [email-masked]; Routing Over Low power and Lossy networks;
> emarobl; Alvaro Retana (aretana)
> Subject: Re: [Roll] last call for roll charter text.
> 
> Dear chairs:
> 
> I support this charter;
> 
> Pascal
> 
> _____________________________________________________________
> _____________________________________________________________
> __________________________________________________
> 
> 
> Low power and Lossy Networks (LLNs ) are made up of many embedded devices
> with limited power, memory, and processing resources. They are interconnected
> by a variety of links, such as IEEE 802.15.4, Bluetooth, Low Power WiFi, wired or
> other low power PLC (Powerline Communication) links. LLNs are transitioning to
> an end-to-end IP-based solution to avoid the problem of non-interoperable
> networks interconnected by protocol translation gateways and proxies.
> 
> Framework that takes into consideration various aspects including high reliability
> in the presence of time varying loss characteristics and connectivity while
> permitting low-power operation with very modest memory and CPU pressure in
> networks potentially comprising a very large number (several thousands) of
> nodes.
> 
> The Working Group continues to focus on routing issues for LLN and to maintain,
> improve and streamline the protocols developed by the working group, including
> RPL and MPL.
> 
> ROLL will coordinate closely with the working groups in other areas that focus on
> constrained networks and/or constrained nodes, such as 6lo
> (rtg) and MANET (rtg) will be consulted when ROLL work can profit from their
> results. The Working group will align with the 6man (Int) WG when needed.
> 
> Work Items are:
> 
> - Compression of  RFC6553, RFC6554, and IP headers in the 6LoWPAN adaptation
> layer context. (coordinated with 6lo WG).
> 
> use RFC6553, RFC6554, and IPv6-in-IPv6 encapsulation Draft-ietf-roll-useofrplinfo
> to the IESG.

---

From: Rahul Jadhav <[email-masked]>
Date: Sun, 18 Sep 2016 05:57:58 +0200

Dear Chairs,

The work items are indeed clearer. I support the charter.

Thanks,
Rahul

On 16 Sep 2016 6:57 p.m., "peter van der Stok" <[email-masked]> wrote:

> ____________________________________________________________
> ____________________________________________________________
> ____________________________________________________
>
>
> with limited power, memory, and processing resources. They are
> interconnected by a variety of links, such as IEEE 802.15.4, Bluetooth, Low
> Power WiFi, wired or other low power PLC (Powerline Communication) links.
> LLNs are transitioning to an end-to-end IP-based solution to avoid the
> problem of non-interoperable networks interconnected by protocol
> translation gateways and proxies.
>
> connectivity while permitting low-power operation with very modest memory
> and CPU pressure in networks potentially comprising a very large number
> (several thousands) of nodes.
>
> focus on constrained networks and/or constrained nodes, such as 6lo (Int)
> and lwig (Int) and CoRE (App). The working groups PiM (rtg), BIER (rtg) and
> MANET (rtg) will be consulted when ROLL work can profit from their results.
> The Working group will align with the 6man (Int) WG when needed.
>
> Work Items are:
>
> - Guidance in using RFC6553, RFC6554, and IPv6-in-IPv6 encapsulation. The
> WGLC on this work will be shared with 6lo.
>
> November 2017   Initial submission of draft-gundogan-roll-dis-modifications
> to IESG
> July 2017         Initial submission of draft-vanderstok-roll-mpl-forw-select
> to IESG
> March 2017      Initial submission of draft-thubert-roll-dao-projection
> to IESG

---

From: "Prof. Diego Dujovne" <[email-masked]>
Date: Sun, 18 Sep 2016 01:15:36 -0300

I support the charter.
Regards,

                       Diego

-- 
DIEGO DUJOVNE
Profesor Asociado
Escuela de Informática y Telecomunicaciones
Facultad de Ingeniería - Universidad Diego Portales - Chile
www.ingenieria.udp.cl
(56 2) 676 8125

---

From: satish anamalamudi <[email-masked]>
Date: Mon, 19 Sep 2016 12:21:45 +0530

Hello everyone,

I support the current charter and proposed milestones.

With Regards,
Satish.

-- 

*With Regards,*

*Dr. Satish Anamalamudi, PhD.,Research Engineer, Huawei Networking Research
Laboratory,Beijing, China.*

---

From: Emmanuel Baccelli <[email-masked]>
Date: Mon, 19 Sep 2016 12:06:41 +0200

Hi everyone,
I also support the charter.
A comment: should we consider mentioning explicitly the standards-track
version of the P2P-RPL, as suggested by Pascal during the meeting in Berlin?
Best,
Emmanuel

On Mon, Sep 19, 2016 at 8:51 AM, satish anamalamudi <[email-masked]

> *Dr. Satish Anamalamudi, PhD.,Research Engineer, Huawei Networking
> Research Laboratory,Beijing, China.*
>
>
>

---

From: Xavier Vilajosana <[email-masked]>
Date: Mon, 19 Sep 2016 13:01:07 +0200

Dear all,

I support the charter as well. I consider the 2 first work items very
necessary to have realistic and energy efficient RPL networks.

Kind regards,
Xavi

2016-09-19 12:06 GMT+02:00 Emmanuel Baccelli <[email-masked]>:

> On Mon, Sep 19, 2016 at 8:51 AM, satish anamalamudi <
> [email-masked]> wrote:
>
>> Hello everyone,
>>

---

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Mon, 19 Sep 2016 12:33:34 +0000

Hello Emmanuel :

I think that the last item

“
Alternative Routing mechanism for constrained environments see for example AODV-RPL
“

Is about that goal,

Pascal

From: Roll [mailto:[email-masked]] On Behalf Of Emmanuel Baccelli
Sent: lundi 19 septembre 2016 12:07
To: Routing Over Low power and Lossy networks <[email-masked]>
Subject: Re: [Roll] last call for roll charter text.

Hi everyone,
I also support the charter.
A comment: should we consider mentioning explicitly the standards-track version of the P2P-RPL, as suggested by Pascal during the meeting in Berlin?
Best,
Emmanuel

On Mon, Sep 19, 2016 at 8:51 AM, satish anamalamudi <[email-masked]<mailto:[email-masked]>> wrote:
Hello everyone,

With Regards,
Satish.

On Fri, Sep 16, 2016 at 6:53 PM, peter van der Stok <[email-masked]<mailto:[email-masked]>> wrote:
Dear all,

Many thanks,

Peter + Ines

RFC 5548, 5673, 5826, and 5876 describe the requirements for LLNs from several application perspectives.
The Working Group has focused on routing solutions for the areas: connected home, building, and urban sensor networks. It has developed a Framework that takes into consideration various aspects including high reliability in the presence of time varying loss characteristics and connectivity while permitting low-power operation with very modest memory and CPU pressure in networks potentially comprising a very large number (several thousands) of nodes.

ROLL will coordinate closely with the working groups in other areas that focus on constrained networks and/or constrained nodes, such as 6lo (Int) and lwig (Int) and CoRE (App). The working groups PiM (rtg), BIER (rtg) and MANET (rtg) will be consulted when ROLL work can profit from their results. The Working group will align with the 6man (Int) WG when needed.

Work Items are:

- Guidance in using RFC6553, RFC6554, and IPv6-in-IPv6 encapsulation. The WGLC on this work will be shared with 6lo.

- Automatic selection of MPL forwarders to reduce message replication. (coordinated with PiM wg)

- Alternative Multicast algorithm see for example Bier forwarding. (coordinated with PiM wg and relateds wg, e.g. BIER)

Milestones

DATE                            Milestone
September 2018            Recharter WG or close
July 2018       Initial submission of a solution for draft-jadhav-roll-no-path-dao-ps to IESG
November 2017   Initial submission of draft-satish-roll-aodv-rpl to IESG
November 2017   Initial submission of draft-gundogan-roll-dis-modifications to IESG
July 2017        Initial submission of draft-bergmann-bier-ccast to IESG
July 2017         Initial submission of draft-vanderstok-roll-mpl-forw-select to IESG
March 2017      Initial submission of draft-vanderstok-roll-mpl-yang to IESG
March 2017      Initial submission of draft-thubert-roll-dao-projection to IESG
November 2016             Initial Submission of the draft about when to use RFC6553, RFC6554, and IPv6-in-IPv6 encapsulation Draft-ietf-roll-useofrplinfo to the IESG.
November 2016            IESG Evaluation of draft-roll-routing-dispatch.

--
Peter van der Stok
vanderstok consultancy
mailto: [email-masked]<mailto:[email-masked]>
www: www.vanderstok.org<http://www.vanderstok.org>
tel NL: +31(0)492474673<tel:%2B31%280%29492474673>     F: +33(0)966015248<tel:%2B33%280%29966015248>

_______________________________________________
Roll mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/roll

--

With Regards,
Dr. Satish Anamalamudi, PhD.,
Research Engineer,
Huawei Networking Research Laboratory,
Beijing, China.

_______________________________________________
Roll mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/roll

---

From: SYED MUHAMMAD SAJJAD <[email-masked]>
Date: Tue, 20 Sep 2016 18:03:45 +0500

Respected chair

I support the charter.

regards

sajjad

---

From: AbdurRashidSangi <[email-masked]>
Date: Thu, 22 Sep 2016 09:47:45 +0000

Hi Peter & Ines,

I support the charter. Also agree the charter is clear and concise.

Regards,
Rashid Sangi.
Huawei, Beijing.

> Sent: 2016年9月16日 21:24
> To: Roll; emarobl; Alvaro Retana
> _______________________________________________________________________
> _______________________________________________________________________
> ______________________________
> 
> 
> ROLL will coordinate closely with the working groups in other areas
> that focus on constrained networks and/or constrained nodes, such as
> 6lo

---

From: Charlie Perkins <[email-masked]>
Date: Fri, 30 Sep 2016 12:32:19 -0700

Hello folks,

I support this charter.  I think it is clear and worthwhile and achievable.

Regards,
Charlie P.

On 9/16/2016 6:23 AM, peter van der Stok wrote:
> interconnected by a variety of links, such as IEEE 802.15.4, 
> Bluetooth, Low Power WiFi, wired or other low power PLC (Powerline 
> Communication) links. LLNs are transitioning to an end-to-end IP-based 
> solution to avoid the problem of non-interoperable networks 
> interconnected by protocol translation gateways and proxies.
>
> connected home, building, and urban sensor networks. It has developed 
> a Framework that takes into consideration various aspects including 
> high reliability in the presence of time varying loss characteristics 
> and connectivity while permitting low-power operation with very modest 
> memory and CPU pressure in networks potentially comprising a very 
> large number (several thousands) of nodes.
>
> maintain, improve and streamline the protocols developed by the 
> working group, including RPL and MPL.
>
> 6lo (Int) and lwig (Int) and CoRE (App). The working groups PiM (rtg), 
> BIER (rtg) and MANET (rtg) will be consulted when ROLL work can profit 
> from their results. The Working group will align with the 6man (Int) 
> WG when needed.
>
> Work Items are:
>
> November 2016              Initial Submission of the draft about when 
> to use RFC6553, RFC6554, and IPv6-in-IPv6 encapsulation